## ----setup, include=FALSE, cache=FALSE-----------------------------------
knitr::opts_knit$set(progress = TRUE, verbose=TRUE, self.contained = FALSE)
knitr::opts_chunk$set(tidy = TRUE, collapse=TRUE, comment = "#>",
                      tidy.opts=list(blank=FALSE, width.cutoff=80))

## ------------------------------------------------------------------------
library("NPRHonest")

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
p1 <- plot_SYKernel(boundary=FALSE)
p1

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
p2 <- plot_SYKernel(boundary=TRUE)
p2

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
p3 <- plot_HolKernel(boundary=FALSE)
p3

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
p4 <- plot_HolKernel(boundary=TRUE)
p4

## ---- results="asis"-----------------------------------------------------
rt <- tbl_KerEfficiency("T")
rh <- tbl_KerEfficiency("H")
pander::pandoc.table(cbind(rt$interior[, 1:6], rh$interior[, 4:6]), round=4)
pander::pandoc.table(cbind(rt$boundary[, 1:6], rh$boundary[, 4:6]), round=4)

## ---- results="asis"-----------------------------------------------------
pander::pandoc.table(cbind(rt$interior[, c(1:2,7:9)], rh$interior[, 7:9]), round=4)
pander::pandoc.table(cbind(rt$boundary[, c(1:2,7:9)], rh$boundary[, 7:9]), round=4)

## ---- results="asis"-----------------------------------------------------
aci <- function(sclass, ptwise, what="CCT")
    pander::pandoc.table(tbl_AltCIEfficiency(sclass, ptwise=ptwise, what=what),
                                             round=c(0,0,2,3,3))
aci("T", FALSE)
aci("H", FALSE)
aci("T", TRUE)
aci("H", TRUE)

## ---- results="asis"-----------------------------------------------------
aci("T", TRUE, "naive")

