## ------------------------------------------------------------------------
library("NPRHonest")

## ----setup, include=FALSE, cache=FALSE-----------------------------------
knitr::opts_knit$set(progress = TRUE, verbose=TRUE, self.contained = FALSE)
knitr::opts_chunk$set(tidy = TRUE, collapse=TRUE, comment = "#>",
                      tidy.opts=list(blank=FALSE, width.cutoff=70))

## ----results="asis"------------------------------------------------------
RDHonest::CVb(B = 1, alpha = 0.5)

d <- RDHonest::CVb(B = sort(c(seq(0,1,by=0.1),sqrt(1/(2/3)-1),sqrt(1/(6/7)-1),1.5,2)),
         alpha = c(0.01, 0.05, 0.1))
t1 <- reshape2::dcast(d[, -2], bias~TeXDescription, value.var="cv")
pander::pandoc.table(t1, justify="left", split.cells=5)

## ------------------------------------------------------------------------
bnmflci(tau = 2, alpha = 0.05)

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
library("ggplot2") # otherwise directlabels freaks out
p <- plot_bnm()
p$p1
p$p2

