## ------------------------------------------------------------------------
library("NPRHonest")

## ----setup, include=FALSE, cache=FALSE-----------------------------------
knitr::opts_knit$set(progress = TRUE, verbose=TRUE, self.contained = FALSE)
knitr::opts_chunk$set(tidy = TRUE, collapse=TRUE, comment = "#>",
                      tidy.opts=list(blank=FALSE, width.cutoff=80))

## ------------------------------------------------------------------------
AEffBoundCI(r=4/5, alpha=0.1, what="FLCI")
AEffBoundCI(r=4/5, what="OCI")

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
library("ggplot2") # otherwise directlabels craps out
p1 <- plot_AEffBoundCI()
p1

## ----results="asis"------------------------------------------------------
d <- BWEfficiency(r=c(1/2, 2/3, 4/5, 6/7, 1), beta=c(0.5, 0.8),
                  alpha=c(0.1, 0.05, 0.01))
t3 <- reshape2::dcast(d, criterion+alpha+beta~round(r, 3),
                     value.var="MSEEfficiency")
pander::pandoc.table(t3, justify="left")

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
library("ggplot2") # otherwise directlabels craps out
r <- plot_BWEfficiency()
r$p1

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
r$p2

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
r$p3

## ----message=FALSE, dev="tikz", out.width="0.7\\textwidth"---------------
r$p4

