% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/renormalization.R
\name{AEffBoundCI}
\alias{AEffBoundCI}
\title{Asymptotic efficiency bounds for minimax CIs}
\usage{
AEffBoundCI(r, alpha = 0.05, what = "FLCI")
}
\arguments{
\item{r}{vector of rate exponents}

\item{alpha}{Determines CI level, \code{1-alpha}.}

\item{what}{one of "FLCI", "OCI", or "CLFLCI" (Cai-Low bound for additional
materials for referees)}
}
\value{
Scalar between 0 and 1
}
\description{
Compute efficiency of minimax onesided-CIs relative to power-directed CIs, or
fixed-length CIs relative to Pratt CIs that direct all power at a constant
function. The efficiency bound assumes that the modulus renormalizes, so that
it depends only on the rate exponent \eqn{r}
}
