% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kernelEfficiency.R
\name{AltCIEfficiency}
\alias{AltCIEfficiency}
\title{Compute coverage and relative length of Alternative confidence intervals}
\usage{
AltCIEfficiency(kernel = "uniform", boundary = TRUE, sclass = "H",
  alpha = 0.05, ptwise = FALSE, what = "CCT", mult = 1)
}
\arguments{
\item{kernel}{kernel type. Can be a function supported on \eqn{[-1, 1]}
(boundary kernel) or \eqn{[0,1]} (interior kernel), or else one of "uniform"
(\eqn{I(|u|<1)}), "triangular" (\eqn{(1-|u|)I(|u|<1)}), or "epanechnikov"
(k(u)=(3/4)(1-u^2)I(|u|<1)).}

\item{boundary}{Logical scalar, specifying whether we are at a boundary.}

\item{sclass}{one of \code{"T"} or \code{"H"}}

\item{alpha}{Determines CI level, \code{1-alpha}.}

\item{ptwise}{is the MSE-optimal bandwidth optimal under uniform asymtptotics
or pointwise asymptotics?}

\item{what}{either "CCT" or "naive"}

\item{mult}{Multiply the MSE-optimal bandwidth by \code{mult}}
}
\description{
Compute coverage and length of CCT and naive CIs (relative to honest CIs
around MSE optimal estimator). For CCT, the calculation assumes that the
pilot bandwidth and main bandwidth are both equal. The calculation further
assumes that the bandwidth is MSE-optimal.
}
