% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/renormalization.R
\name{BWEfficiency}
\alias{BWEfficiency}
\title{Compute optimal bias-sd ratio \eqn{t^*} and MSE-bandwidth efficiency}
\usage{
BWEfficiency(r, beta, alpha)
}
\arguments{
\item{r}{rate exponent (optimal rate of convergence). Can be a vector}

\item{beta}{For "OCI", quantiles of excess length to optimize. Can be a
vector.}

\item{alpha}{Determines CI level for "FLCI" and "OCI", \code{1-alpha}. Can be
a vector.}
}
\value{
Returns data frame with following columns
\describe{
    \item{r}{Rate exponent as specified by \code{r}}
    \item{alpha}{Value of \eqn{\alpha} as specified by \code{alpha}}
    \item{beta}{Value of \eqn{\beta} as specified by \code{beta}}
    \item{criterion}{Efficiency criterion, MSE, OCI or FLCI}
    \item{t}{Optimal maximum bias-sd ratio, \eqn{t^*}}
    \item{MSEEfficiency}{Efficiency of minimax MSE-optimal bandwidth at this criterion}
    \item{TeXDescription}{LaTeX-friendly description of current row}
}
}
\description{
Computes optimal \eqn{t^*} for MSE, OCI, and FLCI, as well as relative
efficiency of confidence intervals centered around MSE-optimal bandwidth.
}
\examples{
BWEfficiency(r=c(1/2, 2/3, 4/5), beta=0.5, alpha=c(0.1, 0.05))
}
