% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/kernelEfficiency.R
\name{HolBiasVar}
\alias{HolBiasVar}
\title{Compute bias and variance constants for a given kernel and local polynomial
regression of order \code{order}}
\usage{
HolBiasVar(kernel = "uniform", order, boundary = TRUE, equivalent = FALSE)
}
\arguments{
\item{kernel}{kernel type. Can be a function supported on \eqn{[-1, 1]}
(boundary kernel) or \eqn{[0,1]} (interior kernel), or else one of "uniform"
(\eqn{I(|u|<1)}), "triangular" (\eqn{(1-|u|)I(|u|<1)}), or "epanechnikov"
(k(u)=(3/4)(1-u^2)I(|u|<1)).}

\item{order}{Order of local polynomial: \code{0} means local constant,
\code{1} local linear, \code{2} local quadratic etc.}

\item{boundary}{Logical scalar, specifying whether we are at a boundary.}
}
\description{
Compute bias and variance constants for a given kernel and local polynomial
regression of order \code{order}
}
\keyword{internal}
