% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/optimalHolderKernels.R
\name{HolKernel}
\alias{HolKernel}
\title{Optimal equivalent kernel in Holder(2) smoothness class.}
\usage{
HolKernel(boundary = TRUE)
}
\arguments{
\item{boundary}{logical scalar, specifying whether point of interest is at
boundary of parameter space.}
}
\value{
a list with names \code{c("k", "supp")}, the first element is a
function that corresponds to the optimal kernel, the second element is the
support endpoint of the least favorable function \eqn{f_{2,1}}. The integral
of \eqn{f_{2,1}} is given by \code{supp/k(0)}
}
\description{
Compute the optimal equivalent kernel for Holder(2) smoothness class.
Parameter of interest is value of \eqn{f} at a point.
}
\details{
The kernel is normalized to be supported on [-1, 1] (for interior
regression), or [0, 1] (for boundary regression)
}
\examples{
HolKernel(TRUE)$k(0.5)
}
