% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/LP_simulation.R
\name{LPSimulate}
\alias{LPSimulate}
\title{Monte Carlo simulation for coverage and length of CIs for a set of designs}
\usage{
LPSimulate(sigma = NULL, n = NULL, M, p, nsim, eff.row = 1,
  cores = NULL, Mh = NULL)
}
\arguments{
\item{sigma}{\eqn{sd(Y|X)}}

\item{n}{number of observations}

\item{M}{bound on second derivative of f(X)}

\item{p}{Data frame with design parameters.}

\item{nsim}{number of simulation draws}

\item{eff.row}{Half-legnth comparisons should be wrt which row?}

\item{cores}{number of CPU cores (for parallel computation). Put
\code{cores=0} for serial computation only.}

\item{Mh}{vector of values of M for Holder-honest CIs}
}
\description{
Simulate CI coverage and length, comparing pointwise and uniform methods
using a number of designs
}
