% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RD_simulation.R
\name{RDSimulate}
\alias{RDSimulate}
\title{Monte Carlo simulation for coverage and length of CIs for a set of designs}
\usage{
RDSimulate(design = NULL, sigma = NULL, n = NULL, M = NULL, b1 = NULL,
  b2 = NULL, unif = NULL, p = NULL, nsim, what, Mh, eff.row = 1)
}
\arguments{
\item{design}{one of 2, 3, 4, 5, 6, 7}

\item{sigma}{\eqn{sd(Y|X)}}

\item{n}{number of observations}

\item{M}{bound on second derivative of f(X)}

\item{b1}{knot for design 4}

\item{b2}{knot for design 4}

\item{unif}{Uniform or beta distribution for X?}

\item{p}{Data frame with design parameters.}

\item{nsim}{number of simulation draws}

\item{what}{One of \code{"Estimation"}, \code{"FLCI"}, or \code{"OCI"} (for
selecting bw of Honest CIs).}

\item{Mh}{vector of values of M for Holder-honest CIs}

\item{eff.row}{Half-legnth comparisons should be wrt which row?}
}
\description{
Simulate CI coverage and length, comparing pointwise and uniform methods
using a number of designs
}
