% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RD_simulation.R
\name{RDSimulateSingle}
\alias{RDSimulateSingle}
\title{Monte Carlo simulation for coverage and length of CIs.}
\usage{
RDSimulateSingle(design, sigma, n, M, b1, b2, unif, nsim, what = "FLCI", Mh)
}
\arguments{
\item{design}{one of 2, 3, 4, 5, 6, 7}

\item{sigma}{\eqn{sd(Y|X)}}

\item{n}{number of observations}

\item{M}{bound on second derivative of f(X)}

\item{b1}{knot for design 4}

\item{b2}{knot for design 4}

\item{unif}{Uniform or beta distribution for X?}

\item{nsim}{number of simulation draws}

\item{what}{One of \code{"Estimation"}, \code{"FLCI"}, or \code{"OCI"} (for
selecting bw of Honest CIs).}

\item{Mh}{vector of values of M for Holder-honest CIs}
}
\description{
Simulate CI coverage and length, comparing pointwise and uniform methods.
}
