% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RD_local_linear.R
\name{RMSEBandwidth}
\alias{RMSEBandwidth}
\title{Asymptotitcally optimal bw under Holder_{2}(M=2*C) class.}
\usage{
RMSEBandwidth(d, kern = "triangular", C, verbose = FALSE,
  estimate.sigma = TRUE)
}
\arguments{
\item{d}{object of class \code{"RDData"}}

\item{kern}{specifies kernel function used in the local regression. It can
either be a string equal to \code{"triangular"} (\eqn{k(u)=(1-|u|)_{+}}),
\code{"epanechnikov"} (\eqn{k(u)=(3/4)(1-u^2)_{+}}), or \code{"uniform"}
(\eqn{k(u)= (|u|<1)/2}), or else a kernel function.}

\item{C}{Smoothness constant. Second derivative is bounded by \code{2*C}}

\item{verbose}{Print details of calculation?}

\item{estimate.sigma}{Estimate sigma^2_+(0) and sigma^2_-(0), or use
\code{mean(d$sigma2p)} and \code{mean(d$sigma2m)} ?}
}
\description{
Plug-in method for estimating asymtotically RMSE-optimal bandwidth for sharp
RD based on local linear regression.
}
