% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bnm.R
\name{bnmflci}
\alias{bnmflci}
\title{Compute optimal affine fixed-length CI in bounded normal mean model}
\usage{
bnmflci(tau, alpha = 0.05)
}
\arguments{
\item{tau}{Bound on parameter space, non-negative number.}

\item{alpha}{Determines CI level, \code{1-alpha}.}
}
\value{
list with two elements, \code{c} and \code{chi}. Optimal CI is given
by has lower and upper limits given by \code{c*X-chi} and \code{c*X+chi},
respectively
}
\description{
Given an observation \eqn{X\sim N(\theta, 1)}, with
\eqn{\theta\in[-\tau,\tau]}, compute optimal affine fixed-length confidence
interval for \eqn{theta}, \eqn{cX\pm \chi}, with coverage \eqn{1-\alpha}
}
\examples{
bnmflci(tau = 3, alpha = 0.1)
}
