% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RD_empirical_analysis.R
\name{tbl_RDLP}
\alias{tbl_RDLP}
\title{Construct table of optimal estimates based on local polynomial regression}
\usage{
tbl_RDLP(d, Cs, kern, sclass = "T", bw.equal = FALSE, order = 1,
  se.method)
}
\arguments{
\item{d}{RDData}

\item{Cs}{vector of smoothness parameters}

\item{kern}{specifies kernel function used in the local regression. It can
either be a string equal to \code{"triangular"} (\eqn{k(u)=(1-|u|)_{+}}),
\code{"epanechnikov"} (\eqn{k(u)=(3/4)(1-u^2)_{+}}), or \code{"uniform"}
(\eqn{k(u)= (|u|<1)/2}), or else a kernel function.}

\item{sclass}{Smoothness class, either \code{"T"} for Taylor or
\code{"H"} for Hölder class.}

\item{bw.equal}{logical specifying whether bandwidths on either side of
cutoff should be constrainted to equal to each other.}

\item{order}{Order of local regression 1 for linear, 2 for quadratic.}

\item{se.method}{Vector with methods for estimating standard error of
estimate. If \code{NULL}, standard errors are not computed. The elements of
the vector can consist of the following methods:

\describe{
    \item{"nn"}{Nearest neighbor method}

    \item{"EHW"}{Eicker-Huber-White, with residuals from local regression
    (local polynomial estimators only).}

    \item{"demeaned"}{Use EHW, but instead of using residuals, estimate
        \eqn{sigma^2_i} by subtracting the estimated intercept from the
        outcome (and not subtracting the estimated slope). Local
        polynomial estimators only.}

   \item{"plugin"}{Plug-in estimate based on asymptotic variance. Local
        polynomial estimators in RD only.}

   \item{"supplied.var"}{Use conditional variance supplied by \code{sigma2} /
        \code{d} instead of computing residuals}

}}
}
\description{
Construct table of optimal estimates and CIs based on local linear regression
under Taylor or Holder class for given values of smoothness parameter \eqn{C}
}
\keyword{internal}
