% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/renormalization.R
\name{tstar}
\alias{tstar}
\title{Compute \eqn{t^*}, optimal bias-variance trade-off.}
\usage{
tstar(r, what = "FLCI", alpha = 0.05, beta = 0.5)
}
\arguments{
\item{r}{Rate exponent}

\item{what}{what performance criterion to use. One of "FLCI" (fixed-length
CI), "OCI" (one-sided CI), "MSE" (mean-squared error)}

\item{alpha}{for "FLCI" and "OCI", determines confidence level,
\code{1-alpha}.}

\item{beta}{for "OCI", quantile of excess length to optimize}
}
\description{
Compute \eqn{t^*}, optimal bias-variance trade-off.
}
\keyword{internal}
