context("Test Kernel efficiency in kernelEfficiency.R")

itol <- .Machine$double.eps^0.75   # integration precision

test_that("Bias constants match theoretical values", {
    rt <- tbl_KerEfficiency("T")
    rh <- tbl_KerEfficiency("H")

    expect_equal(rt$boundary$R[1:7], c(1, 4, 9, 4/3, 24/5, 72/7, 6/5))
    expect_equal(rt$boundary$B1[c(1, 2, 4, 5, 7)],
                 c(1/2, 16/27, 1/3, 3/8, 3/8))
    expect_equal(rt$boundary$B2[c(2, 5)], c(59/162, 3/16))
    expect_equal(rh$boundary$B1[c(1, 2, 4, 5, 7)],
                 c(1/2, 8/27, 1/3, 27/128, 3/8))
    expect_equal(rh$boundary$B2[c(2, 5, 8)], c(1/6, 1/10, 11/95))
    expect_equal(rh$boundary$B3[c(3, 6, 9)], c(1/20, 1/35, 15/448))

    expect_equal(rt$interior$R,
                 c(1/2, 1/2, 9/8, 2/3, 2/3, 456/343, 3/5, 3/5, 5/4))
    expect_equal(rt$interior$B1[c(1, 2, 4, 5, 7, 8)],
                 c(1/2, 1/2, 1/3, 1/3, 3/8, 3/8))
    expect_equal(rt$interior$B2[c(2, 5, 8)], c(1/3, 1/6, 1/5))
    expect_equal(rh$interior$B1[c(1, 2, 4, 5, 7, 8)],
                 c(1/2, 1/2, 1/3, 1/3, 3/8, 3/8))
    expect_equal(rh$interior$B2[c(2, 5, 8)], c(1/3, 1/6, 1/5))
    expect_equal(rh$interior$B3[c(3, 6, 9)], c(1/16, 8/245, 5/128))

})
