---
title: "Replication files for 'Optimal inference in a class of regression models'"
author: Timothy B. Armstrong and Michal Kolesár
date: \today
---



# Instructions for replicating results in the paper

1. Install the packages `NPRHonest` and `RDHonest`. The package `RDHonest` can
   also be downloaded from
   [https://github.com/kolesarm/RDHonest](https://github.com/kolesarm/RDHonest)
   All functions in the packages are documented, and the packages also contain
   several vignettes that explain how to use them. The package `RDHonest` also
   contains the lee dataset used in the paper
2. To replicate the simulation results in Tables S1 and S2 in the supplement,
   run the script `optimal_cis_sim.R`. The script also requires the `knitr`
   package to be installed (it can be downloaded from CRAN). The script takes
   about 12 hours to run: the results are pre-computed in the
   `SimResults-11000.RData` file in the `results/` directory. To compute them
   from scratch, remove the file from the `results/` directory; the script with
   re-createf it.
3. The script `optimal_cis_lee.R` replicates all empirical results.
   -  To replicate results in Section 4.2, run the script with the
      parametrization

         se.method <- "supplied.var"
         fig.prefix <- NULL

      The results are printed in the file
      `lee-results-...-supplied.var-[TIMESTAMP]` in the `results/` directory.
      The script takes about 8 hours to run, the raw computation results stored
      in the `lee-0.0002-0.1-1007-IKEHW-supplied.var.RData` file in the
      `results/` directory. Remove the file from the directory to compute the
      results from scratch.
   -  To replicate the results in Section 4.1, and Appendices C.1 and E.3 in the
      supplement, run the script with the parametrization

         se.method <- "supplied.var"
         fig.prefix <- NULL

     The results are printed in the file
     `lee-results-2e-04-0.1-1007-IKEHW-nn-[TIMESTAMP]` in the `results/`
     directory, and Figures 3 and 4 are stored in the directory as LaTeX/TikZ
     figures

         lee-0.0002-0.1-1007-IKEHW-nn-ll.tex
         lee-0.0002-0.1-1007-IKEHW-nn-ll-estimation.tex
         lee-0.0002-0.1-1007-IKEHW-nn-opt.tex
         lee-0.0002-0.1-1007-IKEHW-nn-opt-estimation.tex

     The remaining `.tex` files contain the figures reformatted to fit onto
     Beamer slides. The script takes about 8 hours to run, the raw computation
     results stored in the `lee-...-IKEHW-supplied.var.RData` file
     in the `results/` directory. Remove the file from the directory to compute
     the results from scratch.


<!-- The `.pdf` version of this script has been created by converting the Markdown -->
<!-- version using `pandoc readme.md -o readme.pdf -V geometry:margin=1in` -->
